:root {
    --font: 'PingFang JP', 'Noto Sans JP', 'Noto Sans CJK JP', sans-serif;
    
    /* color */
    --color-dark: 228, 3%, 12%;
    --color-primary: 228, 88%, 60%;
    --color-bg: #FFF;
    --color-red: 14, 89%, 53%;
    --color-orange: 6, 100%, 69%;
    --color-violet: 266, 100%, 67%;
    --color-blue: 197, 99%, 55%;
    --color-green: 157, 91%, 43%;

    /* primary */
    --color-primary-900: hsla(var(--color-primary), 1);
    --color-primary-100: hsla(var(--color-primary), .06);

    /* red */
    --color-red-900: hsla(var(--color-red), 1);
    --color-red-100: hsla(var(--color-red), .06);
    --color-red-200: hsla(var(--color-red), .12);
    --color-red-300: hsla(var(--color-red), .2);
    
    /* orange */
    --color-orange-900: hsla(var(--color-orange), 1);
    --color-orange-100: hsla(var(--color-orange), .06);
    --color-orange-200: hsla(var(--color-orange), .12);
    --color-orange-300: hsla(var(--color-orange), .2);
    
    /* violet */
    --color-violet-900: hsla(var(--color-violet), 1);
    --color-violet-100: hsla(var(--color-violet), .06);
    --color-violet-200: hsla(var(--color-violet), .12);
    --color-violet-300: hsla(var(--color-violet), .2);
    
    /* blue */
    --color-blue-900: hsla(var(--color-blue), 1);
    --color-blue-100: hsla(var(--color-blue), .06);
    --color-blue-200: hsla(var(--color-blue), .12);
    --color-blue-300: hsla(var(--color-blue), .2);
    
    /* green */
    --color-green-900: hsla(var(--color-green), 1);
    --color-green-100: hsla(var(--color-green), .06);
    --color-green-200: hsla(var(--color-green), .12);
    --color-green-300: hsla(var(--color-green), .2);
    
    /* type */
    --color-type-900: hsla(var(--color-dark), .96);
    --color-type-800: hsla(var(--color-dark), .78);
    --color-type-700: hsla(var(--color-dark), .42);
    
    /* mono */
    --color-mono-100: hsla(var(--color-dark), .03);
    --color-mono-200: hsla(var(--color-dark), .05);
    
    /* other */
    --color-mask: hsla(var(--color-dark), .86);
    --transition: .6s cubic-bezier(.34,.68,.49,.97);
    --transition-productive: .3s cubic-bezier(.34,.68,.49,.97);
}

*,
::before,
::after {
    -webkit-tap-highlight-color: rgba(0, 0, 0, 0);
    transition: var(--transition);
}

::selection {
    background: var(--color-red-200);
}

#plugins *::selection {
    background: var(--color-violet-200);
}

#about *::selection {
    background: var(--color-blue-200);
}

a:focus {
    outline: thin dotted #333;
    outline: 5px auto -webkit-focus-ring-color;
    outline-offset: -2px;
}

html, body {
    overflow: hidden;
    position: relative;
    width: 100%;
    height: 100%;
    box-sizing: border-box;
    margin: 0;
}

body {
    background: rgb(245, 245, 247);
    font-family: var(--font);
    color: var(--color-type-800);
    font-synthesis: none;
    font-feature-settings: 'kern';
    -moz-font-feature-settings: 'kern';
    -moz-osx-font-smoothing: grayscale;
    -webkit-font-smoothing: antialiased;
}

ul, li {
    list-style-type: none;
    margin: 0;
    padding: 0;
}

header {
    background: #FFF;
    backdrop-filter: saturate(180%) blur(20px);
    visibility: visible;
    position: fixed;
    width: 100%;
    z-index: 10;
    top: 0;
    transition: none;
}

header.hide {
    opacity: 0;
    top: calc(-12rem/16);
    visibility: hidden;
}

header.dense {
    background: rgba(255, 255, 255, .8);
}

header.dense nav {
    padding: .5rem 1rem;
}

header.dense nav li {
    border-radius: .8rem;
}

header.dense nav li a {
    line-height: 3rem;
}

header.dense nav li#logo {
    transform: scale(.8) translateX(-.8rem);
}

header nav li#logo::after, header nav li#logo::before {
    display: none;
}

header.dense nav li::after {
    bottom: calc(4rem/16);
}

#home, #plugins, #about {
    width: 100%;
    height: 100%;
    box-sizing: border-box;
    overflow-y: auto;
    position: absolute;
    left: 0;
    top: 0;
    z-index: auto;
}

#home.show, #plugins.show, #about.show {
    z-index: 1;
    opacity: 1;
    visibility: visible;
    transition: var(--transition);
    transition-delay: .2s;
}

#home.hide, #plugins.hide, #about.hide {
    opacity: 0;
}

.container {
    margin: 0;
}

nav {
    padding: calc(8rem/16) 1rem;
    position: relative;
    display: flex;
    justify-content: end;
}

nav ul {
    display: flex;
    width: 24rem;
}

nav li {
    flex: 1;
    text-align: center;
    transition: var(--transition);
    border-radius: 1rem;
    margin: 0 .5rem 0 0;
    position: relative;
    overflow: hidden;
    transform-style: preserve-3d;
    backface-visibility: hidden;
    will-change: transform;
    transition: var(--transition);
}

nav li::after {
    background: var(--color-mono-200);
    border-radius: 50%;
    content: "";
    display: block;
    position: absolute;
    width: .3rem;
    height: .3rem;
    left: 50%;
    bottom: calc(8rem/16);
    z-index: 10;
    margin: 0 0 0 -.2rem;
    transform: scale(0);
}

nav li a {
    display: block;
    line-height: 4rem;
    letter-spacing: .3em;
    transition: var(--transition);
    transform-style: preserve-3d;
    color: var(--color-type-700);
    text-decoration: none;
    font-weight: bold;
    white-space: nowrap;
    position: relative;
    z-index: 10;
}

nav li.current::after {
    transform: scale(1);
}

nav li:nth-child(n+2) a:hover, nav li:nth-child(n+2).current a {
    color: var(--color-red-900);
}

nav li:nth-child(n+2)::before {
    background: var(--color-red-100);
}

nav li:nth-child(n+2).current::after {
    background: var(--color-red-900);
}

nav li:nth-child(n+3) a:hover, nav li:nth-child(n+3).current a {
    color: var(--color-violet-900);
}

nav li:nth-child(n+3)::before {
    background: var(--color-violet-100);
}

nav li:nth-child(n+3).current::after {
    background: var(--color-violet-900);
}

nav li:nth-child(n+4) a:hover, nav li:nth-child(n+4).current a {
    color: var(--color-blue-900);
}

nav li:nth-child(n+4)::before {
    background: var(--color-blue-100);
}

nav li:nth-child(n+4).current::after {
    background: var(--color-blue-900);
}

nav li#logo {
    position: absolute;
    left: 0;
    width: 48px;
}

nav li#logo:hover {
    flex: 1;
}

nav li#logo a {
    background: url(../media/logo_ifigma.svg) no-repeat left center;
    text-indent: -999em;
    overflow: hidden;
    width: 100%;
}

nav .menu {
    display: none;
}

main, footer, nav {
    max-width: calc(1540rem/16);
    margin: 0 auto;
    box-sizing: border-box;
}

main {
    display: flex;
    padding: 9rem 4rem 0;
    margin: 0;
    max-width: unset;
    background: #FFF;
    justify-content: center;
}

main > article {
    columns: 3;
    column-gap: 4rem;
    margin: 0 0 3rem;
    max-width: calc(1560rem/16);
    position: relative;
}

main > article > figure {
    break-inside: avoid;
    margin: 0 0 2rem 0;
    padding: 1rem;
    position: relative;
    display: inline-block;
    width: 100%;
    box-sizing: border-box;
    transform: translate3d(0, 0, 0);
    perspective: 1000px;
    transform-style: preserve-3d;
    transition: var(--transition);
    backface-visibility: hidden;
    will-change: transform;
    overflow: hidden;
    border-radius: 1.5rem;
}

/* Ensure content stays above blur layer */
main > article > figure > * {
    position: relative;
    z-index: 1;
}

@keyframes rotate {
    from {
        transform: translate(-50%, -50%) rotate(0deg);
    }
    to {
        transform: translate(-50%, -50%) rotate(360deg);
    }
}

.blur-layer {
    position: absolute;
    --s: calc(300rem / 16);
    width: var(--s);
    height: var(--s);
    border-radius: var(--s);
    background: radial-gradient(97.94% 97.94% at 27.81% 8.02%, #FF7237 0%, #874FFF 50.23%, #00B6FF 100%);
    filter: blur(80px);
    pointer-events: none;
    opacity: 0;
    transition: var(--transition);
    will-change: transform, left, top;
    z-index: 0;
    animation: rotate 2s linear infinite;
}

article figure img {
    width: 100%;
    border-radius: 1rem;
    transition: var(--transition);
    transition-duration: 5s;
    position: relative;
    z-index: 2;
}

article figure h3 {
    font-size: calc(22rem / 16);
    letter-spacing: -.02em;
    line-height: 120%;
    margin: 0 0 calc(12rem / 16);
    color: var(--color-type-900);
    overflow: hidden;
}

article figure h3 b {
    margin: 0 .5rem 0 0;
    font-weight: 500;
}

article figure p,
article figure ul {
    margin: 0 0 2rem;
}

article figure cite, .details.show h1 cite {
    background: var(--color-mono-200);
    border-radius: 10rem;
    font-size: calc(12rem / 16);
    font-weight: normal;
    font-style: normal;
    line-height: calc(24rem / 16);
    color: var(--color-type-800);
    padding: 0 calc(8rem / 16);
    display: inline-block;
    transform: translateY(-.2rem);
    margin: .5rem 0 0;
}

article figure a {
    display: block;
    text-decoration: none;
    color: var(--color-type-800);
    cursor: pointer;
    position: relative;
    z-index: 1;
}

article figure a i {
    display: block;
    position: relative;
    overflow: hidden;
    border-radius: 1rem;
}

article figure a figcaption {
    margin: 1rem 0 0;
    opacity: 0;
    transform: matrix(1,0,0,1,0,-8);
    font-size: calc(15rem / 16);
}

article figure a:hover figcaption {
    opacity: 1;
    transform: matrix(1,0,0,1,0,0);
}

.details {
    background: var(--color-bg);
    border-radius: 1rem 1rem 0 0;
    position: fixed;
    overflow: hidden;
    width: 100vw;
    height: calc(100vh - 3rem);
    box-sizing: border-box;
    left: 0;
    bottom: 0;
    transition: none;
    opacity: 0;
    visibility: hidden;
    z-index: 999;
    transform: scale(.97) translateY(3rem);
}

.details.show {
    box-sizing: border-box;
    overflow-y: auto;
    transition: var(--transition-productive);
    opacity: 1;
    visibility: visible;
    transform: scale(1) translateY(0);
    transition-delay: .1s;
}

.details * {
    transition: none;
}

.details.show > article p,
.details.show > article li {
    font-size: calc(16rem / 16);
    line-height: 1.618;
    letter-spacing: 0.01em;
}

.details.show > article ul {
    padding: .5rem 0 .5rem 3rem;
    border-left: .4rem solid var(--color-mono-200);
}

.details.show > article li {
    margin: 0 0 1rem;
    list-style-type: circle;
}

.details.show > article h3 {
    margin: 4rem 0 1rem;
    position: relative;
    z-index: 0;
}

.details.show > article h3::after {
    background: var(--color-orange-300);
    content: '';
    display: block;
    position: absolute;
    width: 2.5em;
    height: .8rem;
    left: 0;
    bottom: 0;
    z-index: 0;
    mix-blend-mode: overlay;
}

.details.show p:has(iframe) {
    background: var(--color-mono-100);
    border-radius: .5rem;
    max-width: 60rem;
    position: relative;
    width: 100%;
    padding-bottom: 56.25%; /* 16:9 = 9/16 = 0.5625 */
    height: 0;
    overflow: hidden;
}

.details.show iframe {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
}

.details.loading article {
    pointer-events: none;
}

.details.loading * {
    pointer-events: none;
    color: transparent !important;
    border-color: transparent !important;
}

.details.loading h3::after {
    background: none !important;
}

.details.loading iframe {
    opacity: 0 !important;
}

.details.loading blockquote, .details.loading cite {
    display: none !important;
}

.details.loading h1,
.details.loading h2,
.details.loading h3,
.details.loading p,
.details.loading li,
.details.loading figure,
.details.loading figcaption {
    background: linear-gradient(90deg, 
        var(--color-mono-100) 25%, 
        var(--color-mono-200) 37%, 
        var(--color-mono-100) 63%
    );
    background-size: 100% 100%;
    border-radius: .5rem;
    animation: skeleton 1.4s ease infinite;
}

.details.loading figure {
    min-height: 200px;
    margin-left: 0;
}

.details.loading section {
    line-height: 1.618;
}

@keyframes skeleton {
    0% { background-position: 100% 50%; }
    100% { background-position: 0 50%; }
}

@keyframes loading {
    to { transform: rotate(360deg); }
}

.mask {
    background: var(--color-mask);
    backdrop-filter: saturate(180%) blur(20px);
    position: absolute;
    width: 100%;
    height: 100%;
    left: 0;
    top: 0;
    opacity: 0;
    visibility: hidden;
    transition: opacity var(--transition-productive);
    z-index: 0;
}

.mask.show {
    opacity: 1;
    transition-delay: .1s;
    cursor: pointer;
    z-index: 998;
    visibility: visible;
    z-index: 99;
}

.mask.show::after {
    content: "点击 or 按 esc 关闭";
    color: #FFF;
    font-size: 1rem;
    opacity: 0;
    position: absolute;
    width: 100%;
    text-align: center;
    top: .8rem;
    z-index: 1;
}

.mask.show:hover::after {
    opacity: .38;
}

.mask .container {
    position: relative;
    max-width: calc(1540rem / 16);
    margin: 0 auto;
}

.mask .close {
    display: block;
    position: absolute;
    width: 2rem;
    height: 2rem;
    z-index: 1;
    right: 1.25rem;
    top: 2rem;
    cursor: pointer;
    transition: var(--transition-productive);
}

.mask .close::before, .mask .close::after {
    background: #FFF;
    content: "";
    display: block;
    width: 1.25rem;
    height: 2px;
    transform: rotate(0deg);
    position: absolute;
    left: 6px;
    top: 10px;
    z-index: 0;
}

.mask .close::after {
    transform: rotate(0deg);
    top: 20px;
}

.mask.show .close {
    right: 1rem;
    top: .5rem;
}

.mask.show .close::before, .mask.show .close::after {
    transform: rotate(45deg);
    top: 15px;
}

.mask.show .close::after {
    transform: rotate(-45deg);
}

.details.show > article,
aside .details.show > article {
    margin: 8rem auto 0;
    max-width: calc(860rem/16);
    width: 64%;
}

.details.show > article h1,
aside .details.show > article h1 {
    color: var(--color-type-900);
    font-size: 3rem;
    font-weight: 500;
    line-height: 1.2;
    letter-spacing: -0.03em;
}

.details.show > article blockquote,
aside .details.show > article blockquote {
    font-size: 1.125rem;
    background: var(--color-mono-100);
    padding: 3rem;
    border-radius: 1rem;
    margin: 0 1.5rem;
    font-style: italic;
    color: var(--color-type-700);
    line-height: 1.618em;
    letter-spacing: 0.03em;
    font-weight: bold;
    position: relative;
}

.details.show > article blockquote::after,
aside .details.show > article blockquote::after {
    content: '"';
    position: absolute;
    font-size: 8rem;
    color: var(--color-mono-200);
    left: -2.2rem;
    top: 1rem;
    z-index: 0;
    height: 8rem;
    line-height: 8rem;
}

aside > figure {
    background: var(--color-mono-100);
    border-radius: 1rem;
    padding: 1rem;
    margin: 0 1rem 1.5rem 2rem;
    position: relative;
}

aside > figure > ul {
    border-radius: 1rem;
    overflow: hidden;
}

aside > figure li {
    margin: 0 0 .125rem;
}

aside > figure li a {
    background: var(--color-bg);
    border-radius: .25rem;
    display: block;
    text-decoration: none;
    color: var(--color-type-800);
    padding: 1.2rem;
    cursor: pointer;
    position: relative;
}

aside > figure li a::after {
    background: var(--color-blue-300);
    content: '';
    display: block;
    position: absolute;
    left: 0;
    bottom: 1rem;
    height: .8rem;
    width: 0;
    margin: 0 1.2rem;
    mix-blend-mode: multiply;
}
aside > figure li a:hover::after {
    width: 3rem;
}

aside > figure li:nth-child(n+1) a::after {
    background: var(--color-red-300);
}

aside > figure li:nth-child(n+2) a::after {
    background: var(--color-violet-300);
}

footer {
    padding: 5rem 1rem;
    display: grid;
    grid-template-columns: 1fr 1fr 1fr;
    grid-gap: 2rem;
}

footer figure {
    margin: 0;
}

footer figure figcaption {
    font-size: 1rem;
    font-weight: bold;
}


footer figure ul {
    margin: 1rem 0;
    font-size: .9rem;
}

footer figure ul li a {
    display: inline-block;
    color: var(--color-type-700);
    text-decoration: none;
    line-height: 1.618rem;
    position: relative;
    padding: .2rem 0;
}

footer figure.withlogo a {
    background: url(../media/logo_ifigma_outlined.svg) no-repeat center;
    display: block;
    --size: 48px;
    width: var(--size);
    height: var(--size);
    text-indent: -999em;
    overflow: hidden;
    margin: 0 0 1rem;
    opacity: .6;
}

footer figure.withlogo cite {
    font-weight: normal;
}

footer figure.withlogo cite a {
    background: none;
    display: inline;
    text-indent: unset;
    color: var(--color-type-800);
    opacity: 1;
}

footer figure.withlogo p {
    color: var(--color-type-700);
}

footer figure ul li {
    margin-bottom: 1px;
}

footer figure ul li a::after {
    content: "";
    display: block;
    position: absolute;
    width: 100%;
    height: 100%;
    background: var(--color-mono-200);
    left: 0;
    top: 0;
    border-radius: .5rem;
    opacity: 0;
}

footer figure ul li a:hover::after {
    padding: 0 .4rem;
    left: -.4rem;
    opacity: 1;
}

footer figure ul li:nth-child(4n+1) a::after {
    background: var(--color-red-100);
}

footer figure ul li:nth-child(4n+1) a:hover {
    color: var(--color-red-900);
}

footer figure ul li:nth-child(4n+2) a::after {
    background: var(--color-violet-100);
}

footer figure ul li:nth-child(4n+2) a:hover {
    color: var(--color-violet-900);
}

footer figure ul li:nth-child(4n+3) a::after {
    background: var(--color-blue-100);
}

footer figure ul li:nth-child(4n+3) a:hover {
    color: var(--color-blue-900);
}

footer figure ul li:nth-child(4n+4) a::after {
    background: var(--color-green-100);
}

footer figure ul li:nth-child(4n+4) a:hover {
    color: var(--color-green-900);
}

#about .container article {
    max-width: 90rem;
    margin: 4rem auto;
    box-sizing: border-box;
}

aside figure.fixed {
    position: relative;
}

.details.show h1 cite,
aside .details.show h1 cite {
    display: table;
    margin: .5rem 0 0;
    letter-spacing: normal;
}

.details.show p, article p {
    letter-spacing: .03em;
}

.details.show p > img, article p > img {
    width: 100%;
}

#about article > figure {
    margin: 5rem auto 0;
    max-width: 65rem;
}

#about article > figure iframe {
    width: 100%;
    max-width: 60rem;
    height: calc(58vw*9/16);
    min-height: 34vh;
}

article .hero {
    font-family: var(--font);
    font-size: 3rem;
    font-weight: 700;
    line-height: 128%;
    letter-spacing: -.03em;
    max-width: 12em;
    margin: -1rem 0 0;
}

article .hero span {
    display: block;
    font-size: 5rem;
    line-height: 100%;
    background-clip: text;
    background-image: radial-gradient(52.23% 309.86% at 90.85% 20.27%, #5CBAF8 0%, rgba(92, 186, 248, 0) 100%),
    radial-gradient(92.44% 294.72% at 2.25% 96.56%, #5CBAF8 0%, #7176FF 100%);
    color: transparent;
    -webkit-text-fill-color: transparent;
    -webkit-background-clip: text;
    padding: 0 0 1rem;
    max-width: 7em;
}

#about article p {
    font-size: 1.4rem;
    font-weight: 500;
    color: var(--color-type-700);
    max-width: 37em;
}

aside h3 {
    font-weight: 500;
    margin: .5rem 1.2rem;
}

#scroll_top {
    position: fixed;
    right: 2rem;
    bottom: 2rem;
    z-index: 99;
    opacity: 0;
    visibility: hidden;
    cursor: pointer;
    transition: var(--transition);
    transform: scale(0);
}

#scroll_top.show {
    opacity: 1;
    visibility: visible;
    transform: scale(1);
}

#scroll_top.hide {
    opacity: 0;
    visibility: hidden;
    transform: scale(0);
}

#scroll_top a {
    color: var(--color-type-700);
    text-decoration: none;
}

#scroll_top a:hover {
    text-decoration: none;
}

#scroll_top.show {
    transform: scale(1);
}

#scroll_top.show.hide {
    transform: scale(0);
}


@media only screen and (max-width: 1280px) {
    main {
        grid-template-columns: 1fr 20rem;
    }

    main > article {
        columns: 2;
    }
}

@media only screen and (max-width: 1024px) {
    html, body {
        width: 100%;
        overflow-x: hidden;
    }

    aside > figure {
        margin: 0 1rem 2rem;
    }
    
}

@media only screen and (max-width: 900px) {
    main {
        grid-template-columns: 1fr;
    }

    aside figure.fixed {
        position: static;
    }
}

@media only screen and (max-width: 768px) {
    #home, #plugins, #about {
        padding: 5rem 0 0;
    }
    
    main > article {
        columns: 1;
    }

    article figure a:active, article figure:active::after {
        transform: scale(.9);
    }

    nav {
        height: 4rem;
    }

    header.dense nav {
        height: 3rem;
    }

    nav ul {
        display: flex;
        width: 100%;
        height: 100%;
        position: absolute;
        left: 0;
        top: 0;
        flex-direction: column;
        padding: 68% 0;
        box-sizing: border-box;
        visibility: hidden;
    }

    nav li {
        opacity: 0;
        flex: .3 !important;
        overflow: visible;
        z-index: 1;
        margin: -1rem 0 0;
    }

    nav li#logo {
        display: block;
        transform: scale(.8);
        position: absolute;
        top: 0;
        left: 0;
        z-index: 1;
        width: 8rem;
        opacity: 1;
        visibility: visible;
    }

    header.dense nav li#logo {
        transform: scale(.7) translate(-6px, 0);
    }

    nav li#logo a:hover {
        background-position: left center;
    }

    nav ul.show li {
        opacity: 1;
        margin: 0;
        visibility: visible;
    }

    nav ul.show li:nth-child(2) {
        transition-delay: .15s;
    }

    nav ul.show li:nth-child(3) {
        transition-delay: .3s;
    }

    nav ul.show li:nth-child(4) {
        transition-delay: .45s;
    }

    nav ul::after {
        content: "";
        background: var(--color-bg);
        position: absolute;
        width: 2rem;
        height: 2rem;
        right: .2rem;
        top: 2rem;
        z-index: 0;
        border-radius: 100%;
        transform: scale(1);
    }

    nav ul.show::after {
        transform: scale(60);
        visibility: visible;
    }

    header.dense nav ul::after {
        top: 1rem;
    }

    nav .menu {
        cursor: pointer;
        display: block;
        width: 2.5rem;
        height: 2.5rem;
        position: absolute;
        right: 0;
        top: 50%;
        margin: -1.25rem 0 0;
        z-index: 0;
    }

    .mask.show .close {
        right: 1rem;
        top: .5rem;
    }

    nav .menu::before, nav .menu::after {
        background: var(--color-type-700);
        content: "";
        position: absolute;
        width: 1.4rem;
        height: 2px;
        left: 50%;
        margin: 0 0 0 -.7rem;
        z-index: 1;
    }

    nav .menu::before {
        top: .9rem;
    }

    nav .menu::after {
        bottom: .9rem;
    }

    nav .menu.show::before {
        transform: rotate(-45deg);
        top: 1.2rem;
    }

    nav .menu.show::after {
        transform: rotate(45deg);
        bottom: 1.2rem;
    }

    footer {
        grid-template-columns: 1fr 1fr;
    }

    .details.show > article,
    aside .details.show > article {
        width: 72%;
    }

    .details.show > article p,
    aside .details.show > article p,
    .details.show > article li {
        font-size: 1rem;
    }

    .details.show > article h1,
    aside .details.show > article h1 {
        font-size: 2.2rem;
    }

    .details.show > article blockquote, 
    aside .details.show > article blockquote {
        margin: 0;
        padding: 1rem 1rem 1rem 2rem;
        font-size: 1rem;
    }

    nav li:hover::before {
        transform: scale(2);
        opacity: 1;
    }

    article figure a:hover img {
        transform: none;
    }

    article .hero {
        font-size: 2rem;
        font-weight: bold;
    }

    article .hero span {
        font-size: 4rem;
    }

    #about .container article {
        margin: 4rem 1rem;
        min-height: 60vh;
    }

    article figure img {
        transition: none;
    }
}

@media only screen and (max-width: 460px) {
    .details.show > article,
    aside .details.show > article {
        width: 80%;
    }

    .details.show p > img, 
    article p > img,
    .details.show iframe {
        width: 100vw;
        margin: 0 0 0 -10vw;
        border-radius: 0;
    }

    .details.show iframe {
        height: calc(100vw * 9 / 16);
        min-height: unset;
    }

    article figure a figcaption {
        opacity: 1;
        transform: matrix(1,0,0,1,0,0);
        font-size: .875rem;
    }

    article figure::after {
        background: none;
        transform: matrix(1, 0, 0, 1, 0, 0);
        opacity: 1;
    }

    article figure h3 b {
        line-height: 1.618;
        font-size: 1.2rem;
    }

    article figure cite,
    aside .details.show h1 cite {
        font-size: .75rem;
    }

    footer {
        grid-template-columns: 1fr;
    }
}